Bug 577738 - [abrt] crash in valide-0.6.1-0.21.20093012svn488.fc13: Process /usr/bin/valide was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in valide-0.6.1-0.21.20093012svn488.fc13: Process /usr/bin/valid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: valide
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9c81c46d1542bd5fba8a272a05e...
: 588370 589379 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 06:32 UTC by Jim Campbell
Modified: 2010-06-04 18:47 UTC (History)
4 users (show)

Fixed In Version: valide-0.7-0.28.20101105svn609.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 18:47:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.25 KB, text/plain)
2010-03-29 06:32 UTC, Jim Campbell
no flags Details

Description Jim Campbell 2010-03-29 06:32:17 UTC
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/valide
component: valide
executable: /usr/bin/valide
kernel: 2.6.33.1-19.fc13.i686
package: valide-0.6.1-0.21.20093012svn488.fc13
rating: 4
reason: Process /usr/bin/valide was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Launch valide from the Applications menu
2. Valide crashes

Comment 1 Jim Campbell 2010-03-29 06:32:18 UTC
Created attachment 403187 [details]
File: backtrace

Comment 2 Jim Campbell 2010-03-29 15:29:57 UTC
My apologies, but the action required to cause this crash is actually clicking on "New Project."

Valide does launch correctly from the Gnome menu, but clicking on the "New Project," icon is what caused the application to crash.

The application crashed on a Fedora 13 pre-Beta 1 install of Valide.  (I'm on my work computer, otherwise I would provide the exact release info for Fedora and Valide).  

Thanks.

Comment 3 MERCIER Jonathan 2010-03-30 23:13:27 UTC
okay i will commit a newest release, i think this bug will be disapear because this valide version do'nt work with vala 7.10 and this bug are fixed.

Comment 4 Fedora Update System 2010-03-31 00:17:41 UTC
valide-0.6.1-0.22.20103003svn511.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/valide-0.6.1-0.22.20103003svn511.fc13

Comment 5 MERCIER Jonathan 2010-03-31 00:26:42 UTC
Can you try this testing package please
https://admin.fedoraproject.org/updates/valide-0.6.1-0.22.20103003svn511.fc12

Comment 6 MERCIER Jonathan 2010-03-31 00:28:09 UTC
you have 2 link one for F--13 and one for F-13 you need choose the good one :)

Comment 7 Jim Campbell 2010-03-31 03:29:28 UTC
I installed the F-13 version in comment #4, but experienced the same error.

Mar 30 22:26:34 helpsoup kernel: valide[3637]: segfault at 44 ip 0071b05e sp bffa3d60 error 4 in libgtk-x11-2.0.so.0.2000.0[608000+496000]
Mar 30 22:26:36 helpsoup abrt[3648]: saved core dump of pid 3637 (/usr/bin/valide) to /var/cache/abrt/ccpp-1270005994-3637.new/coredump (57565184 bytes)
Mar 30 22:26:36 helpsoup abrtd: Directory 'ccpp-1270005994-3637' creation detected
Mar 30 22:26:36 helpsoup abrtd: Package 'valide' isn't signed with proper key
Mar 30 22:26:36 helpsoup abrtd: Corrupted or bad crash /var/cache/abrt/ccpp-1270005994-3637 (res:5), deleting

Comment 8 MERCIER Jonathan 2010-03-31 10:08:07 UTC
ok i work on

Comment 9 Fedora Update System 2010-04-01 19:33:39 UTC
valide-0.6.1-0.22.20103003svn511.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update valide'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/valide-0.6.1-0.22.20103003svn511.fc13

Comment 10 Jim Campbell 2010-04-24 13:55:53 UTC
Hi there, I'm still experiencing this error with valide 0.6.1.0.22.20103003svn511.fc13  I will also provide feedback on the link you provided.  Thanks for your help with this!

[New Thread 6903]
[New Thread 6939]
[New Thread 6913]
Core was generated by `/usr/bin/valide'.
Program terminated with signal 11, Segmentation fault.
#0  IA__gtk_icon_view_set_pixbuf_column (icon_view=0x0, column=0)
    at gtkiconview.c:5684
5684	gtkiconview.c: No such file or directory.
	in gtkiconview.c

Thread 3 (Thread 6913):
#0  0x00658416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004e9c04 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:236
No locals.
#2  0x002e1f3f in g_cond_timed_wait_posix_impl (cond=0xb3000f00, 
    entered_mutex=0x87f3518, abs_time=0xb25fe1b8) at gthread-posix.c:242
        result = <value optimized out>
        end_time = {tv_sec = 1272116244, tv_nsec = 784600000}
        timed_out = <value optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#3  0x0066c5cc in g_async_queue_pop_intern_unlocked (queue=0x87f34f8, try=0, 
    end_time=0xb25fe1b8) at gasyncqueue.c:365
        retval = <value optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#4  0x006bf20b in g_thread_pool_wait_for_new_task (data=0x87f34c0)
    at gthreadpool.c:270
        end_time = {tv_sec = 1272116244, tv_usec = 784600}
        task = <value optimized out>
#5  g_thread_pool_thread_proxy (data=0x87f34c0) at gthreadpool.c:304
        task = <value optimized out>
        pool = 0x87f34c0
#6  0x006bd1c0 in g_thread_create_proxy (data=0x87ff438) at gthread.c:1893
        thread = 0x87ff438
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#7  0x004e5b59 in start_thread (arg=0xb25feb70) at pthread_create.c:301
        __res = <value optimized out>
        __ignore1 = 128
        __ignore2 = 137
        pd = 0xb25feb70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5210100, 0, 4001536, 
    -1302338760, -1548933837, -2132806057}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x06ce8e8e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 2 (Thread 6939):
#0  0x00658416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004e9c04 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:236
No locals.
#2  0x002e1f3f in g_cond_timed_wait_posix_impl (cond=0xb3000f00, 
    entered_mutex=0x87f3518, abs_time=0xb3b4c1b8) at gthread-posix.c:242
        result = <value optimized out>
        end_time = {tv_sec = 1272116244, tv_nsec = 784658000}
        timed_out = <value optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#3  0x0066c5cc in g_async_queue_pop_intern_unlocked (queue=0x87f34f8, try=0, 
    end_time=0xb3b4c1b8) at gasyncqueue.c:365
        retval = <value optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#4  0x006bf20b in g_thread_pool_wait_for_new_task (data=0x87f34c0)
    at gthreadpool.c:270
        end_time = {tv_sec = 1272116244, tv_usec = 784658}
        task = <value optimized out>
#5  g_thread_pool_thread_proxy (data=0x87f34c0) at gthreadpool.c:304
        task = <value optimized out>
        pool = 0x87f34c0
#6  0x006bd1c0 in g_thread_create_proxy (data=0x88c0998) at gthread.c:1893
        thread = 0x88c0998
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#7  0x004e5b59 in start_thread (arg=0xb3b4cb70) at pthread_create.c:301
        __res = <value optimized out>
        __ignore1 = 128
        __ignore2 = 138
        pd = 0xb3b4cb70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5210100, 0, 4001536, 
    -1279999176, 1978475824, -2132806057}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x06ce8e8e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 1 (Thread 6903):
#0  IA__gtk_icon_view_set_pixbuf_column (icon_view=0x0, column=0)
    at gtkiconview.c:5684
        __PRETTY_FUNCTION__ = "IA__gtk_icon_view_set_pixbuf_column"
#1  0x004509ae in valide_project_dialog_populate_icon_view (self=
    0x8840c58 [ValideProjectDialog]) at project-dialog.vala:202
        _inner_error_ = 0x0
        files = 0x88cb250 = {0x86e3670, 0x86e50b8, 0x86e45a8, 0x88b20d8, 
    0x88b0eb0, 0x88b2700}
        _tmp1_ = 0x88cb250 = {0x86e3670, 0x86e50b8, 0x86e45a8, 0x88b20d8, 
    0x88b0eb0, 0x88b2700}
        _tmp0_ = 0x0
        _tmp2_ = 0x88c0548 [GtkListStore]
        __PRETTY_FUNCTION__ = "valide_project_dialog_populate_icon_view"
#2  0x00452e29 in valide_project_dialog_constructor (type=143302440, 
    n_construct_properties=0, construct_properties=0x0)
    at project-dialog.vala:359
        _tmp5_ = 0x88a9f28 "\003"
        _tmp4_ = 0x3d5e80
        obj = 0x8840c58 [ValideProjectDialog]
        parent_class = 0x86e4e60
        self = 0x8840c58 [ValideProjectDialog]
        _inner_error_ = 0x0
#3  0x003a17fa in IA__g_object_newv (object_type=143302440, n_parameters=0, 
    parameters=0x0) at gobject.c:1180
        cparams = 0x0
        oparams = 0x0
        nqueue = 0x0
        object = <value optimized out>
        class = 0x86e44f8
        unref_class = 0x86e44f8
        slist = 0x0
        n_total_cparams = <value optimized out>
        n_cparams = 0
        n_oparams = 0
        n_cvalues = <value optimized out>
        cvalues = <value optimized out>
        clist = 0x0
        newly_constructed = <value optimized out>
        i = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_object_newv"
#4  0x0045223e in valide_project_dialog_construct (object_type=143302440)
    at project-dialog.c:876
        self = 0x452211
#5  0x00452269 in valide_project_dialog_new () at project-dialog.vala:34
No locals.
#6  0x00479e3e in valide_project_manager_create (self=
    0x86cd680 [ValideProjectManager]) at project-manager.vala:568
        result = 12540944
        _inner_error_ = 0x0
        created = 0
        dialog = 0x0
        _tmp0_ = 0x407286
        __PRETTY_FUNCTION__ = "valide_project_manager_create"
#7  0x0045cbfb in valide_start_page_create_project (sender=
    0x871bc08 [ValideLinkLabel], uri=0x0, self=0x86d44f0 [ValideStartPage])
    at start-page.vala:178
        __PRETTY_FUNCTION__ = "valide_start_page_create_project"
#8  0x003a7cd8 in IA__g_cclosure_marshal_VOID__STRING (closure=0x8719f90, 
    return_value=0x0, n_param_values=2, param_values=0x889c0f0, 
    invocation_hint=0xbfb1fb70, marshal_data=0x0) at gmarshal.c:496
        callback = 0x45cba8 <valide_start_page_create_project>
        cc = 0x8719f90
        data1 = <value optimized out>
        data2 = 0x86d44f0
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__STRING"
#9  0x0039a6e3 in IA__g_closure_invoke (closure=0x8719f90, return_value=0x0, 
    n_param_values=2, param_values=0x889c0f0, invocation_hint=0xbfb1fb70)
    at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = 141361664
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#10 0x003af255 in signal_emit_unlocked_R (node=0x8729ee8, detail=0, instance=
    0x871bc08, emission_return=0x0, instance_and_params=0x889c0f0)
    at gsignal.c:3248
        tmp = <value optimized out>
        handler = 0x86f19a0
        accumulator = 0x0
        emission = {next = 0xbfb1ff28, instance = 0x871bc08, ihint = {
            signal_id = 245, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x0
        handler_list = 0x86f19a0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = 245
        max_sequential_handler_number = 1484
        return_value_altered = 0
#11 0x003b065c in IA__g_signal_emit_valist (instance=0x871bc08, signal_id=
    245, detail=0, var_args=<value optimized out>) at gsignal.c:2981
        instance_and_params = 0x889c0f0
        signal_return_type = 4
        param_values = 0x889c104
        node = <value optimized out>
        i = <value optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#12 0x003b092d in IA__g_signal_emit_by_name (instance=0x871bc08, 
    detailed_signal=0x4b316c "open-uri") at gsignal.c:3075
        var_args = <value optimized out>
        detail = 0
        signal_id = 245
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_by_name"
#13 0x0045bf1c in _lambda70_ (self=0x871bc08 [ValideLinkLabel])
    at start-page.vala:84
        result = 4019824
#14 0x0045bf33 in __lambda70__gtk_widget_button_press_event (_sender=
    0x871bc08 [ValideLinkLabel], event=0x8840cf8, self=0x871bc08)
    at start-page.c:386
No locals.
#15 0x00afa9a8 in _gtk_marshal_BOOLEAN__BOXED (closure=0x86e18a8, 
    return_value=0xbfb1ff44, n_param_values=2, param_values=0x8855a50, 
    invocation_hint=0xbfb1ff30, marshal_data=0x45bf22) at gtkmarshalers.c:84
        callback = 0x45bf22 <__lambda70__gtk_widget_button_press_event>
        cc = 0x86e18a8
        data1 = 0x871bc08
        data2 = <value optimized out>
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#16 0x0039a6e3 in IA__g_closure_invoke (closure=0x86e18a8, return_value=
    0xbfb1ff44, n_param_values=2, param_values=0x8855a50, invocation_hint=
    0xbfb1ff30) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = -1078853888
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#17 0x003af255 in signal_emit_unlocked_R (node=0x8673378, detail=0, instance=
    0x871bc08, emission_return=0xbfb2008c, instance_and_params=0x8855a50)
    at gsignal.c:3248
        tmp = <value optimized out>
        handler = 0x86f1920
        accumulator = 0x86732c8
        emission = {next = 0x0, instance = 0x871bc08, ihint = {signal_id = 
    33, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, 
          chain_type = 4}
        class_closure = 0x8673338
        handler_list = 0x86f1920
        return_accu = 0xbfb1ff44
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = 33
        max_sequential_handler_number = 1484
        return_value_altered = 0
#18 0x003b04d5 in IA__g_signal_emit_valist (instance=0x871bc08, signal_id=33, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2991
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 
    0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 
    0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}}}
        error = 0x0
        rtype = <value optimized out>
        static_scope = 0
        instance_and_params = 0x8855a50
        signal_return_type = 20
        param_values = 0x8855a64
        node = <value optimized out>
        i = <value optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#19 0x003b0af7 in IA__g_signal_emit (instance=0x871bc08, signal_id=33, detail=
    0) at gsignal.c:3038
        var_args = <value optimized out>
#20 0x00c43a46 in gtk_widget_event_internal (widget=
    0x871bc08 [ValideLinkLabel], event=0x8840cf8) at gtkwidget.c:4958
        signal_num = <value optimized out>
        return_val = 0
#21 0x00af1a75 in IA__gtk_propagate_event (widget=
    0x871bc08 [ValideLinkLabel], event=0x8840cf8) at gtkmain.c:2442
        tmp = <value optimized out>
        handled_event = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#22 0x00af32a7 in IA__gtk_main_do_event (event=0x8840cf8) at gtkmain.c:1608
        event_widget = 0x871bc08 [ValideLinkLabel]
        grab_widget = <value optimized out>
        window_group = 0x868edc0 [GtkWindowGroup]
        rewritten_event = <value optimized out>
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#23 0x007c726b in gdk_event_dispatch (source=0x8660108, callback=0, user_data=
    0x0) at gdkevents-x11.c:2372
        display = <value optimized out>
        event = 0x8840cf8
#24 0x006924f5 in g_main_dispatch (context=0x8660150) at gmain.c:1960
        dispatch = 0x7c7210 <gdk_event_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x8660108, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x8660108
        current = 0x886fb38
        i = <value optimized out>
#25 IA__g_main_context_dispatch (context=0x8660150) at gmain.c:2513
No locals.
#26 0x00696238 in g_main_context_iterate (context=0x4e8a50, block=1, dispatch=
    1, self=0x8639018) at gmain.c:2591
        max_priority = 2147483647
        timeout = 499
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = 0x8648e70
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#27 0x0069677f in IA__g_main_loop_run (loop=0x886fab8) at gmain.c:2799
        self = 0x8639018
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#28 0x00af35a9 in IA__gtk_main () at gtkmain.c:1219
        tmp_list = <value optimized out>
        functions = 0x0
        init = <value optimized out>
        loop = 0x886fab8
#29 0x0804a973 in valide_application_run (self=0x863aaf0 [ValideApplication])
    at main.vala:289
        command = UNIQUE_ACTIVATE
        data = 0x863a278
        _tmp1_ = 0x868ae50 [UniqueApp]
        _tmp0_ = 0x863a278
        _tmp2_ = 0
        result = -1078852616
        app = 0x868ae50 [UniqueApp]
        __PRETTY_FUNCTION__ = "valide_application_run"
#30 0x0804ab38 in _main (args=0xbfb204f4, args_length1=1) at main.c:688
        result = 10092496
        _tmp0_ = 0x863aaf0 [ValideApplication]
        _tmp1_ = 3894016
#31 0x0804ab7e in main (argc=1, argv=0xbfb204f4) at main.vala:297
No locals.
From        To          Syms Read   Shared Object Library
0x00417cb0  0x004ab408  Yes         /usr/lib/libvalide-0.0.so.0
0x009182a0  0x009343e8  Yes         /usr/lib/libgdl-1.so.3
0x009fc810  0x00cdb678  Yes         /usr/lib/libgtk-x11-2.0.so.0
0x007814b0  0x007e7528  Yes         /usr/lib/libgdk-x11-2.0.so.0
0x00e9f480  0x00eacad8  Yes         /usr/lib/libatk-1.0.so.0
0x001238d0  0x00194c18  Yes         /lib/libgio-2.0.so.0
0x001cf510  0x001ea918  Yes         /usr/lib/libpangoft2-1.0.so.0
0x001f82e0  0x0020ae18  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
0x002f0440  0x002f5558  Yes         /usr/lib/libpangocairo-1.0.so.0
0x0021a210  0x00274688  Yes         /usr/lib/libcairo.so.2
0x0029d210  0x002bf3e8  Yes         /usr/lib/libpango-1.0.so.0
0x003003c0  0x003696e8  Yes         /usr/lib/libfreetype.so.6
0x0053df60  0x00559cc8  Yes         /usr/lib/libfontconfig.so.1
0x003977d0  0x003c36f8  Yes         /lib/libgobject-2.0.so.0
0x002dcc30  0x002ddd88  Yes         /lib/libgmodule-2.0.so.0
0x002e0f40  0x002e26b8  Yes         /lib/libgthread-2.0.so.0
0x003d78c0  0x003db958  Yes         /lib/librt.so.1
0x0066a590  0x006f63a8  Yes         /lib/libglib-2.0.so.0
0x00eeefa0  0x010bd648  Yes         /usr/lib/libvala.so.0
0x0057fae0  0x005c06e8  Yes         /usr/lib/libgtksourceview-2.0.so.0
0x003e3680  0x003e8758  Yes         /usr/lib/libunique-1.0.so.0
0x004e3610  0x004efe68  Yes         /lib/libpthread.so.0
0x06c1daa0  0x06d41b74  Yes         /lib/libc.so.6
0x020cec10  0x021b4f18  Yes         /usr/lib/libxml2.so.2
0x0777e370  0x0780f908  Yes         /usr/lib/libX11.so.6
0x002e5e70  0x002e83a8  Yes         /usr/lib/libXfixes.so.3
0x004fe4b0  0x005189c8  Yes         /lib/libm.so.6
0x00527720  0x00531ff8  Yes         /usr/lib/libXext.so.6
0x003ed2c0  0x003f3178  Yes         /usr/lib/libXrender.so.1
0x002ea780  0x002eb258  Yes         /usr/lib/libXinerama.so.1
0x005dd740  0x005e74b8  Yes         /usr/lib/libXi.so.6
0x005eb150  0x005efc38  Yes         /usr/lib/libXrandr.so.2
0x005f3e40  0x005f9448  Yes         /usr/lib/libXcursor.so.1
0x00823890  0x00824488  Yes         /usr/lib/libXcomposite.so.1
0x003f57c0  0x003f6248  Yes         /usr/lib/libXdamage.so.1
0x005fca60  0x005fda88  Yes         /lib/libdl.so.2
0x00603680  0x00612018  Yes         /lib/libresolv.so.2
0x0061b620  0x006268e8  Yes         /lib/libz.so.1
0x00e59190  0x00e6a3b8  Yes         /lib/libselinux.so.1
0x006306f0  0x0064c6c8  Yes         /usr/lib/libpng12.so.0
0x00829b40  0x00881a68  Yes         /usr/lib/libpixman-1.so.0
0x00891040  0x008a9ef8  Yes         /lib/libexpat.so.1
0x0098a830  0x009a397f  Yes         /lib/ld-linux.so.2
0x008bd630  0x008ceef8  Yes         /usr/lib/libdbus-glib-1.so.2
0x00944220  0x00970578  Yes         /lib/libdbus-1.so.3
0x008dee80  0x008ed608  Yes         /usr/lib/libxcb.so.1
0x00536a00  0x005377f8  Yes         /usr/lib/libXau.so.6
0x0075aa30  0x00762b28  Yes         /lib/libnss_files.so.2
0x078b8b30  0x078dce38  Yes         /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00656080  0x006569e8  Yes         /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
0x00768680  0x0076a778  Yes         /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0x008f74f0  0x008f89d8  Yes         /usr/lib/libcanberra-gtk.so.0
0x008fd3c0  0x009073e8  Yes         /usr/lib/libcanberra.so.0
0x00e4b720  0x00e50848  Yes         /usr/lib/libvorbisfile.so.3
0x0817c740  0x081922a8  Yes         /usr/lib/libvorbis.so.0
0x0090c310  0x0090eb88  Yes         /usr/lib/libogg.so.0
0x00e74610  0x00e7d858  Yes         /usr/lib/libtdb.so.1
0x00e84a30  0x00e89458  Yes         /usr/lib/libltdl.so.7
0x0748d440  0x074a8728  Yes         /usr/lib/gio/modules/libgvfsdbus.so
0x01fe3c00  0x01feef18  Yes         /usr/lib/libgvfscommon.so.0
0x04fcde80  0x04fd73e8  Yes         /lib/libudev.so.0
0x00986a20  0x009872c8  Yes         /lib/libutil.so.1
0x08328cf0  0x0832fd78  Yes         /usr/lib/valide/plugins/symbol/libsymbol.so
0x00e8e970  0x00e8f218  Yes         /usr/lib/valide/plugins/sample/libsample.so
0x00e93b60  0x00e963d8  Yes         /usr/lib/valide/plugins/file-browser/libfile-browser.so
0x0598db80  0x0599ae68  Yes         /usr/lib/gio/modules/libgioremote-volume-monitor.so
0x01896830  0x018a33e8  Yes         /usr/lib/libbeagle.so.1
0x0325f540  0x0327ff48  Yes         /usr/lib/valide/plugins/completion/libcompletion.so
0x03ee6780  0x03ee8048  Yes         /usr/lib/valide/plugins/opened-documents/libopened-documents.so
0x084ebbf0  0x084f1738  Yes         /usr/lib/valide/plugins/advanced-search/libadvanced-search.so
0x022db110  0x022de6a8  Yes         /usr/lib/valide/plugins/todo/libtodo.so
0x018132d0  0x01817ed8  Yes         /usr/lib/valide/plugins/make/libmake.so
0x059cd940  0x059d2f38  Yes         /usr/lib/valide/plugins/waf/libwaf.so
0x05edce50  0x05ede598  Yes         /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
$1 = 0x0
$2 = 0x0
eax            0x0	0
ecx            0x0	0
edx            0x0	0
ebx            0xe46a7c	14969468
esp            0xbfb1f6b0	0xbfb1f6b0
ebp            0xbfb1f6e8	0xbfb1f6e8
esi            0x0	0
edi            0x0	0
eip            0xac005e	0xac005e <IA__gtk_icon_view_set_pixbuf_column+30>
eflags         0x210202	[ IF RF ID ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function IA__gtk_icon_view_set_pixbuf_column:
   0x00ac0040 <+0>:	push   %ebp
   0x00ac0041 <+1>:	mov    %esp,%ebp
   0x00ac0043 <+3>:	lea    -0x38(%esp),%esp
   0x00ac0047 <+7>:	mov    %esi,-0x8(%ebp)
   0x00ac004a <+10>:	mov    0x8(%ebp),%esi
   0x00ac004d <+13>:	mov    %ebx,-0xc(%ebp)
   0x00ac0050 <+16>:	mov    %edi,-0x4(%ebp)
   0x00ac0053 <+19>:	call   0x9fc8d9 <__i686.get_pc_thunk.bx>
   0x00ac0058 <+24>:	add    $0x386a24,%ebx
=> 0x00ac005e <+30>:	mov    0x44(%esi),%eax
   0x00ac0061 <+33>:	mov    0xc(%ebp),%edi
   0x00ac0064 <+36>:	cmp    %edi,0x94(%eax)
   0x00ac006a <+42>:	je     0xac0114 <IA__gtk_icon_view_set_pixbuf_column+212>
   0x00ac0070 <+48>:	cmp    $0xffffffff,%edi
   0x00ac0073 <+51>:	je     0xac0128 <IA__gtk_icon_view_set_pixbuf_column+232>
   0x00ac0079 <+57>:	mov    0x14(%eax),%edx
   0x00ac007c <+60>:	test   %edx,%edx
   0x00ac007e <+62>:	je     0xac00cb <IA__gtk_icon_view_set_pixbuf_column+139>
   0x00ac0080 <+64>:	mov    %edx,(%esp)
   0x00ac0083 <+67>:	mov    %edi,0x4(%esp)
   0x00ac0087 <+71>:	call   0xbfc930 <IA__gtk_tree_model_get_column_type>
   0x00ac008c <+76>:	mov    %eax,-0x1c(%ebp)
   0x00ac008f <+79>:	call   0x9f88ac <gdk_pixbuf_get_type@plt>
   0x00ac0094 <+84>:	cmp    %eax,-0x1c(%ebp)
   0x00ac0097 <+87>:	je     0xac00c8 <IA__gtk_icon_view_set_pixbuf_column+136>
   0x00ac0099 <+89>:	lea    -0xe8f14(%ebx),%eax
   0x00ac009f <+95>:	mov    %eax,0x8(%esp)
   0x00ac00a3 <+99>:	lea    -0xe7f1c(%ebx),%eax
   0x00ac00a9 <+105>:	mov    %eax,0x4(%esp)
   0x00ac00ad <+109>:	lea    -0x16b3a5(%ebx),%eax
   0x00ac00b3 <+115>:	mov    %eax,(%esp)
   0x00ac00b6 <+118>:	call   0x9f94ec <g_return_if_fail_warning@plt>
   0x00ac00bb <+123>:	mov    -0xc(%ebp),%ebx
   0x00ac00be <+126>:	mov    -0x8(%ebp),%esi
   0x00ac00c1 <+129>:	mov    -0x4(%ebp),%edi
   0x00ac00c4 <+132>:	mov    %ebp,%esp
   0x00ac00c6 <+134>:	pop    %ebp
   0x00ac00c7 <+135>:	ret    
   0x00ac00c8 <+136>:	mov    0x44(%esi),%eax
   0x00ac00cb <+139>:	mov    %edi,0x94(%eax)
   0x00ac00d1 <+145>:	mov    $0x1,%edx
   0x00ac00d6 <+150>:	mov    %esi,%eax
   0x00ac00d8 <+152>:	call   0xabf0f0 <gtk_icon_view_stop_editing>
   0x00ac00dd <+157>:	mov    %esi,%eax
   0x00ac00df <+159>:	call   0xabfaa0 <update_pixbuf_cell>
   0x00ac00e4 <+164>:	mov    %esi,%eax
   0x00ac00e6 <+166>:	call   0xabf170 <gtk_icon_view_invalidate_sizes>
   0x00ac00eb <+171>:	mov    %esi,%eax
   0x00ac00ed <+173>:	call   0xabf1b0 <gtk_icon_view_queue_layout>
   0x00ac00f2 <+178>:	movl   $0x50,0x4(%esp)
   0x00ac00fa <+186>:	mov    %esi,(%esp)
   0x00ac00fd <+189>:	call   0x9fa61c <g_type_check_instance_cast@plt>
   0x00ac0102 <+194>:	mov    %eax,(%esp)
   0x00ac0105 <+197>:	lea    -0xe93c3(%ebx),%edx
   0x00ac010b <+203>:	mov    %edx,0x4(%esp)
   0x00ac010f <+207>:	call   0x9f7e8c <g_object_notify@plt>
   0x00ac0114 <+212>:	mov    -0xc(%ebp),%ebx
   0x00ac0117 <+215>:	mov    -0x8(%ebp),%esi
   0x00ac011a <+218>:	mov    -0x4(%ebp),%edi
   0x00ac011d <+221>:	mov    %ebp,%esp
   0x00ac011f <+223>:	pop    %ebp
   0x00ac0120 <+224>:	ret    
   0x00ac0121 <+225>:	lea    0x0(%esi,%eiz,1),%esi
   0x00ac0128 <+232>:	movl   $0xffffffff,0x94(%eax)
   0x00ac0132 <+242>:	jmp    0xac00d1 <IA__gtk_icon_view_set_pixbuf_column+145>
End of assembler dump.

Comment 11 MERCIER Jonathan 2010-04-25 11:26:56 UTC
yes i try to fix some bug, sorry for disagrement

Comment 12 MERCIER Jonathan 2010-05-08 00:49:30 UTC
*** Bug 589379 has been marked as a duplicate of this bug. ***

Comment 13 MERCIER Jonathan 2010-05-08 00:50:11 UTC
*** Bug 588370 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2010-06-01 21:09:38 UTC
valide-0.7-0.28.20101105svn609.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/valide-0.7-0.28.20101105svn609.fc13

Comment 15 MERCIER Jonathan 2010-06-01 21:26:18 UTC
can u try it and increase his karma?
Thanks

Comment 16 Jim Campbell 2010-06-02 00:27:20 UTC
Valide version 0.7-0.28.20101105svn609.fc13 resolves bug 577738 for me.  I've left positive karma on Bodhi regarding the test update.  Thank you for your work!

Comment 17 Fedora Update System 2010-06-02 18:02:30 UTC
valide-0.7-0.28.20101105svn609.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update valide'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/valide-0.7-0.28.20101105svn609.fc13

Comment 18 Fedora Update System 2010-06-04 18:47:25 UTC
valide-0.7-0.28.20101105svn609.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.